module.exports = (api, options) => {
  const configs = {
    postcss: {
      plugins: {
        tailwindcss: './tailwind.config.js',
        autoprefixer: {},
      },
    },
  };
  api.extendPackage(configs);
  api.addConfigTransform('postcss', {
    file: {
      js: ['postcss.config.js'],
      json: ['.postcssrc.json', '.postcssrc'],
      yaml: ['.postcssrc.yaml', '.postcssrc.yml'],
    },
  });

  api.injectImports(api.entryFile, `import './assets/tailwind.css'`);
  api.render('./template');

  api.onCreateComplete(() => {
    const { spawnSync } = require('child_process');
    const child = spawnSync('./node_modules/.bin/tailwind', [
      'init',
      'tailwind.config.js',
    ]);
    // console.error('error', child.error);
  });
};
